# Obfuscated Python Matchstick Puzzles Generator - Submission Remarks

## Submission Information
- Submitter: nirmo (Nir Moshe)
- Email: nir.moshe.nm@gmail.com
- Submission Date: 26-August-2023

## Introduction
Greetings!

Prepare to dive into a puzzle of (**)endless puzzles, first thing first, the code is shaped as a 2D maze, you are 
more than welcome to find your way out.
Once you challenged this awesome maze and found the way to get out from the maze, then the easy part is to understand 
the algorithm which generates the puzzle - It's a puzzle that makes more puzzles! Each time you run it, you get a 
brand-new matchstick riddle.
If you are bored, you can also try to solve one of the matchsticks equations the script generated.

Here's a sneak peek at the kind of puzzles this mysterious script generates:

```
move one matchstick to make the equation true
_          _           _               
_)   __   | |   _|_   |_|   --    |  | 
_)        |_|    |     _|   --    |  | 
                                       
```

This riddle reflects my love for tricky coding and the world of compilation theory. I hope you'll enjoy its playful and 
captivating nature!

(**) Of course there is no endless number of puzzles... try to figure out how many different puzzles the program can 
generate?

## Execution Requirements
To correctly run the obfuscated Python script, run the script using this amazing command:

```bash
python3 nirmo.py
```

## Operating System and Python version
The submission is intended to be run on Python 3.8 or later.

The script has been tested and is expected to work on the following operating system:
- OS: macOS (Ventura 13.5)
- Python: 3.8.8

## Remarks and Hints
+ Hint: The following code finds deep inspiration in the 'Zen of Python,' and the subsequent script makes extensive use 
  of it.
+ About the matchsticks font: The matchstick font I'm using has been adapted from the "mini" font, drawing inspiration
  from the `pyFiglet` and `art` modules.


## Judges' Notes

Most puzzling.

A true achievement of obfuscation. Made us laugh, cry, and wonder our place in this maze called The Universe (sic). Unique idea, and unique implementation.
Will be using this program next time we're writing homework for second-graders.

